Firebird adatbázis 2.5 -> 3.0 frissítés kérdés, probléma

Firebird adatbázis 2.5 -> 3.0 frissítés kérdés, probléma
2022-02-11T10:04:00+01:00
2022-02-12T22:26:37+01:00
2022-10-15T21:20:57+02:00
KiralyP36
Remélem találok még szakit a problémára.

Firebird 2.5 adatbázist frissítenék 3-ra (...aztán pedig majd 4-re)!
A folyamat megvan, hiszen vannak leírások róla a neten és nem is bonyolult, de végül a frissített adatbázisban az adatokat jogosultsági probléma miatt nem engedi megmutatni. Pontosabban az IBExpert-ben az adatbázis belépése után a Data fül alatt lévő adatokra felugró hibaablakot ad.

Ezt mellékelem!

Azt tudom, hogy a 2.5 alatt lévő Security2.fdb-t már nem vihető át Firebird 3-ra és létre kell hozni egy Security3.fdb-t mint az frissített adatbázishoz tartozó új biztonsági adatbázist, de mégsem oldja meg a problémámat!
Jaj, nem vágom, hol megy félre a dolog!
Köszönöm!
P.
Mutasd a teljes hozzászólást!
Csatolt állomány
SYSDBA-ként mindent kell tudnod csinálni. Az adatbázis tulajdonosaként úgyszintén, különben a restore-ral valami nagyon félrement... A restore egyébként többek között a szekvenciákat és kivételeket is a "PUBLIC"-ba teszi a kompatibilitás megőrzése érdekében. Viszont a külső függvények részére (amennyiben szükséges) sajnos meg kell adni a futtatási engedélyt. Korábban ezek is publikusak voltak...
Én egyébként Ubuntu-n teszteltem. Ott pl.  az OS-ben a file jogokat is korrigálni kellett ahhoz, hogy a firebird szerviz teljeskörűen hozzáférhessen...
Mutasd a teljes hozzászólást!

Tetszett amit olvastál? Szeretnél a jövőben is értesülni a hasonló érdekességekről?
abcd